Package org.eclipse.birt.report.model.api.simpleapi

# Interface ISortElement

All Superinterfaces:
  `IDesignElement`

public interface ISortElement extends IDesignElement
The simple API class for the SortElementHandle.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDirection()`
Returns the sort direction.
`String`
`getKey()`
Returns an expression that gives the sort key on which to sort.
`void`
`setDirection(String direction)`
Sets the sort direction.
`void`
`setKey(String key)`
Sets an expression that gives the sort key on which to sort.

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

## Method Details

### getDirection

String getDirection()
Returns the sort direction. The possible values are define in `DesignChoiceConstants`, and they are:

- SORT_DIRECTION_ASC
- SORT_DIRECTION_DESC

Returns:
  the direction to sort

### setDirection

void setDirection(String direction) throws SemanticException
Sets the sort direction. The allowed values are define in `DesignChoiceConstants`, and they are:

- SORT_DIRECTION_ASC
- SORT_DIRECTION_DESC

Parameters:
  `direction` - the direction to set
Throws:
  `SemanticException` - if the direction is not in choice list.

### getKey

String getKey()
Returns an expression that gives the sort key on which to sort. The simplest case is the name of a column. The expression can also be an expression that includes columns. When used for a group, the expression can contain an aggregate computed over the group.

Returns:
  the key to sort
See Also:
  - `setKey(String)`

### setKey

void setKey(String key) throws SemanticException
Sets an expression that gives the sort key on which to sort.

Parameters:
  `key` - the key to sort
Throws:
  `SemanticException` - value required exception
See Also:
  - `getKey()`